// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      return web;
    }
    // ignore: missing_enum_constant_in_switch
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for macos - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
    }

    throw UnsupportedError(
      'DefaultFirebaseOptions are not supported for this platform.',
    );
  }

  static const FirebaseOptions web = FirebaseOptions(
    apiKey: 'AIzaSyBL1oBNJKKa734sy_WJPXVin-G2OPCVQhs',
    appId: '1:526772093589:web:c18ed0e40731961455919c',
    messagingSenderId: '526772093589',
    projectId: 'flutter-stripe-test-1901',
    authDomain: 'flutter-stripe-test-1901.firebaseapp.com',
    storageBucket: 'flutter-stripe-test-1901.appspot.com',
  );

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyAOXm3bJJGcCkoDbvD8a2PIbKemmdmaisQ',
    appId: '1:526772093589:android:6dc4f04fb389109955919c',
    messagingSenderId: '526772093589',
    projectId: 'flutter-stripe-test-1901',
    storageBucket: 'flutter-stripe-test-1901.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyAxpHgd9JMcLrk-21GHB5GmFPK5FodaPV0',
    appId: '1:526772093589:ios:e83dee5e6398131a55919c',
    messagingSenderId: '526772093589',
    projectId: 'flutter-stripe-test-1901',
    storageBucket: 'flutter-stripe-test-1901.appspot.com',
    iosClientId: '526772093589-f57j5dnbov0pbcv3onis5s2qalnmqbce.apps.googleusercontent.com',
    iosBundleId: 'com.flutterstripetest.app',
  );
}
